extends SubViewport
## Logic for dynamically resetting viewport graphics settings


func _ready() -> void:
	ProjectSettings.settings_changed.connect(apply_rendering_settings)


func apply_rendering_settings() -> void:
	print_debug("Applying rendering settings to viewport")

	msaa_2d = ProjectSettings.get_setting("rendering/anti_aliasing/quality/msaa_2d")
	msaa_3d = ProjectSettings.get_setting("rendering/anti_aliasing/quality/msaa_3d")
	screen_space_aa = ProjectSettings.get_setting("rendering/anti_aliasing/quality/screen_space_aa")
	use_taa = ProjectSettings.get_setting("rendering/anti_aliasing/quality/use_taa")
	use_debanding = ProjectSettings.get_setting("rendering/anti_aliasing/quality/use_debanding")
